Subject: Re: [PATCH v3 00/21] git-p4: Various code tidy-ups

From: Junio C Hamano <[email-masked]>
Date: Sun, 16 Jan 2022 18:22:04 -0800

Between CI runs https://github.com/git/git/actions/runs/1705530485
and https://github.com/git/git/actions/runs/1705883104 the only
difference is that the former has this topic merged while the latter
does not.

> Patches to correct these items may be provided later.

 cf. https://github.com/git/git/runs/4834693492?check_suite_focus=true#step:5:1586
 cf. https://github.com/git/git/runs/4834693517?check_suite_focus=true#step:5:1643

That is another thing to correct.

> This third version of the patch-set is rebased on top of the next
> branch.

By the way, to try it out, I pretended that you followed the advice
in the SubmittingPatches document, namely:

    cf. Documentation/SubmittingPatches::[[base-branch]]

    * A new feature should be based on `master` in general. If the new
      feature depends on other topics that are in `next`, but not in
      `master`, fork a branch from the tip of `master`, merge these topics
      to the branch, and work on that branch.  You can remind yourself of
      how you prepared the base with `git log --first-parent master..`.

So, the patches are queued like so:

    $ git log --oneline --first-parent master..jh/p4-various-fixups
    818dd3982a git-p4: seperate multiple statements onto seperate lines
    0742a3fb0f git-p4: move inline comments to line above
    e34dcdaa6d git-p4: only seperate code blocks by a single empty line
    5d2c48612b git-p4: compare to singletons with "is" and "is not"
    cc2572b455 git-p4: normalize indentation of lines in conditionals
    3ae33c2d87 git-p4: ensure there is a single space around all operators
    6f4806cc58 git-p4: ensure every comment has a single #
    34f7c77da5 git-p4: remove spaces between dictionary keys and colons
    8c59479063 git-p4: remove redundant backslash-continuations inside brackets
    26c76f8db0 git-p4: remove extraneous spaces before function arguments
    eb7c7a9975 git-p4: place a single space after every comma
    d33eccbd7b git-p4: removed brackets when assigning multiple return values
    3465b01a94 git-p4: remove spaces around default arguments
    f806563768 git-p4: remove padding from lists, tuples and function arguments
    555e0c358a git-p4: sort and de-duplcate pylint disable list
    882a0dfd22 git-p4: remove commented code
    6483f061f7 git-p4: convert descriptive class and function comments into docstrings
    85c22c0c22 git-p4: improve consistency of docstring formatting
    bab9c087e7 git-p4: indent with 4-spaces
    fb8c71c28b git-p4: remove unneeded semicolons from statements
    b66e36e374 git-p4: add blank lines between functions and class definitions
    d8d4f440a5 Merge branch 'jh/p4-spawning-external-commands-cleanup' into jh/p4-...
    f3e99f0e9c Merge branch 'jh/p4-fix-use-of-process-error-exception' into jh/p4-...

which was created by

    $ git checkout -B jh/p4-various-fixups v2.35.0-rc1
    $ git merge --no-edit jh/p4-fix-use-of-process-error-exception
    $ git merge --no-edit jh/p4-spawning-external-commands-cleanup
    $ git am -s ./+jh21-v3-p4-various-fixups

where ./+jh21-v3-p4-various-fixups is the mbox file with these 21
patches, and jh/p4-* are the two topic branches form you that are
still in 'next'.  This way, you still have to wait for these two
topics to graduage before this new series can go in, but you won't
be taken hostage by other unrelated topics in 'next'.

It probably is a good idea to do the same when you prepare the next
round of this series.

I've ejected this topic from 'seen', but the topic itself should
still be there in https://github.com/gitster/git/ repository.

Thanks.